XML Standard API: Interface XMLStreamConstants

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.stream
Interface XMLStreamConstants

All Known Subinterfaces:
  Attribute, Characters, Comment, DTD, EndDocument, EndElement, EntityDeclaration, EntityReference, Namespace, NotationDeclaration, ProcessingInstruction, StartDocument, StartElement, XMLEvent, XMLStreamReader

public interface XMLStreamConstants

Field Summary
`static int` | `ATTRIBUTE`
`static int` | `CDATA`
`static int` | `CHARACTERS`
`static int` | `COMMENT`
`static int` | `DTD`
`static int` | `END_DOCUMENT`
`static int` | `END_ELEMENT`
`static int` | `ENTITY_DECLARATION`
`static int` | `ENTITY_REFERENCE`
`static int` | `NAMESPACE`
`static int` | `NOTATION_DECLARATION`
`static int` | `PROCESSING_INSTRUCTION`
`static int` | `SPACE`
`static int` | `START_DOCUMENT`
`static int` | `START_ELEMENT`

Field Detail

### START_ELEMENT

    public static final int START_ELEMENT

### END_ELEMENT

    public static final int END_ELEMENT

### PROCESSING_INSTRUCTION

    public static final int PROCESSING_INSTRUCTION

### CHARACTERS

    public static final int CHARACTERS

### COMMENT

    public static final int COMMENT

### SPACE

    public static final int SPACE

### START_DOCUMENT

    public static final int START_DOCUMENT

### END_DOCUMENT

    public static final int END_DOCUMENT

### ENTITY_REFERENCE

    public static final int ENTITY_REFERENCE

### ATTRIBUTE

    public static final int ATTRIBUTE

### DTD

    public static final int DTD

### CDATA

    public static final int CDATA

### NAMESPACE

    public static final int NAMESPACE

### NOTATION_DECLARATION

    public static final int NOTATION_DECLARATION

### ENTITY_DECLARATION

    public static final int ENTITY_DECLARATION

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.